> For the complete documentation index, see [llms.txt](https://docs.innopaas.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.innopaas.com/api-reference/whatsapp-business-api/whatsapp-business-api/hao-ma-cha-xun.md).

# 号码查询

**请求接口地址**

```
POST    https://api.innopaas.com/api/whatsapp/v3/account/phoneInfo
```

**请求参数**

<table data-header-hidden><thead><tr><th width="124.515625"></th><th width="86.74609375"></th><th width="99.54296875"></th><th></th></tr></thead><tbody><tr><td>字段</td><td>数据类型</td><td>是否必填</td><td>描述</td></tr><tr><td><code>wabaId</code></td><td>String</td><td>是</td><td>WhatsApp商业账户唯一标识</td></tr></tbody></table>

**响应参数**

| 字段                 | 数据类型   | 是否必填 | 描述               |
| ------------------ | ------ | ---- | ---------------- |
| id                 | String | 是    | WhatsApp商业账户唯一标识 |
| displayPhoneNumber | String | 是    | 显示号码             |
| verifiedName       | String | 是    | 名称               |
| status             | String | 是    | 号码状态             |
| qualityRating      | String | 是    | 号码质量             |
| messageLimit       | String | 是    | 消息限制             |

**请求示例**

```actionscript-3

{
  "wabaId": "26849*****5345"
}
```

**响应示例**

```json
{
    "code": "0",
    "success": true,
    "message": "Success",
    "data": [
        {
            "id": "70762****2435850",
            "displayPhoneNumber": "+86 134 **** 3464",
            "verifiedName": "Transland",
            "status": "CONNECTED",
            "qualityRating": "GREEN",
            "messageLimit": "TIER_250"
        }
    ]
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.innopaas.com/api-reference/whatsapp-business-api/whatsapp-business-api/hao-ma-cha-xun.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
